<template>
    <div :class="['ui-dialog-background', this.classList]">
        <div
            class="ui-dialog-content"
            :style="{
                width: this.width,
                height: this.height,
                marginLeft: `calc(-${this.width} / 2)`
            }">
            <div class="ui-dialog-element">
                <slot name="header"></slot>
            </div>
            <div class="ui-dialog-element">
                <slot name="body"></slot>
            </div>
            <div class="ui-dialog-element-footer">
                <slot name="footer"></slot>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'ui-dialog',

    computed: {
        classList () {
            return this.customClassess
        }
    },

    props: {
        width: {
            type: String,
            default: '510px'
        },
        height: {
            type: String,
            default: 'initial'
        },
        customClassess: [String, Function]
    }
}
</script>
